package com.mortals.xhx.module.baseset.model;

import com.mortals.xhx.module.baseset.model.vo.BasesetVo;
/**
* 填单服务基础设置实体对象
*
* @author zxfei
* @date 2022-12-08
*/

public class BasesetEntity extends BasesetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 空白打印材料展示数量
    */
    private Integer printDisplay;
    /**
    * 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
    */
    private Integer newsSource;



    public BasesetEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 空白打印材料展示数量
    * @return Integer
    */
    public Integer getPrintDisplay(){
        return printDisplay;
    }
    /**
    * 设置 空白打印材料展示数量
    * @param printDisplay
    */
    public void setPrintDisplay(Integer printDisplay){
        this.printDisplay = printDisplay;
    }
    /**
    * 获取 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
    * @return Integer
    */
    public Integer getNewsSource(){
        return newsSource;
    }
    /**
    * 设置 新闻来源(1.热点新闻,2.本地要闻,3.政策发布,4.通知公告)
    * @param newsSource
    */
    public void setNewsSource(Integer newsSource){
        this.newsSource = newsSource;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BasesetEntity) {
            BasesetEntity tmp = (BasesetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",printDisplay:").append(getPrintDisplay());
        sb.append(",newsSource:").append(getNewsSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.printDisplay = 0;

            this.newsSource = 1;
    }
}